What happened to hg4idea?

It seems that the hg4idea (mercurial plugin) is no longer available for the current (maia) eap. What's the reason for it's removal? This is sad because hg4idea was the only working (most of the time) mercurial integration I did know about. Without SCM integration doing refactorings is not as easy as it's supposed to be.

4 comments
Comment actions Permalink

ok it seems that i'm the only one who was using hg4idea in idea ultimate eap. would you be so kind to tell me how i can get the updated hg4idea source, that is in the community edition git repository, to install in the ultimate edition eap as plugin? i'm not willing to sacrifice all ultimate benefits just for mercurial integration!

0
Comment actions Permalink

Hello, I don't have an answer for your question. I have just purchased IDEA and to my dismay there is no mercurial plugin except for: hg4idea which while running the IDEA IDE there is no obvious installation point. The IDEA plugin manager definitely does not work while trying to install hg4idea. The IDEA plugin manager offers no alternative to installing a downloaded hg plugin?. :/ David.

0
Comment actions Permalink

Hello a. e.,

ok it seems that i'm the only one who was using hg4idea in idea
ultimate eap. would you be so kind to tell me how i can get the
updated hg4idea source, that is in the community edition git
repository, to install in the ultimate edition eap as plugin? i'm not
willing to sacrifice all ultimate benefits just for mercurial
integration!


The Mercurial plugin that is available in the Community Edition git repository
is for IDEA 10. For IDEA 9, you're welcome to use the existing hg4idea and
hg4idea-luciad plugins, both of which are open-source, and I don't see any
reason why they wouldn't be available for the latest IDEA 9 version.

--
Dmitry Jemerov
Development Lead
JetBrains, Inc.
http://www.jetbrains.com/
"Develop with Pleasure!"


0
Comment actions Permalink

Hey Dmitry,

thank you for your response. By "not available for the latest IDEA 9 EAP" i mean that on http://plugins.intellij.net/plugin/?id=3370 the latest version of hg4idea has been removed at some time in the last month and the remaining version "0.6.14-8.1.4" seems to be targeted at IDEA 8 and can't be installed on 9.0.3 as it specifies the compatible IDEA build range with "until build 85.9999".

It's indeed great that hg4idea is merged into the upcoming IDEA X, i just want to be able to use the "old" plugin in some way until X arrives with the improved hg4idea. :)

I was not aware that the "-luciad" fork got updated on the 26. to version "0.6.16-luciad.10-9.0.3" which seems to be compatible with 9.0.3. So indeed my question is answered to my satisfaction. ;)

0

Please sign in to leave a comment.